Skip to content

All resources

coding-agent

2 endpoints

post /bugs/{id}/agent-build

Start a coding-agent build for a bug

Requires authentication

Kicks off an external coding-agent run for the bug and returns the run id + status.

Parameters

NameInTypeRequiredDescription
idpathintegeryesBug id

Request body: object

No fields documented.

Responses

  • 200 OK · object
  • 400 Bad Request · apimodel.ErrorEnvelope
  • 401 Unauthorized · apimodel.ErrorEnvelope
  • 403 Forbidden · apimodel.ErrorEnvelope
  • 502 Bad Gateway · apimodel.ErrorEnvelope
  • 503 Service Unavailable · apimodel.ErrorEnvelope

post /bugs/{id}/agent-build/cancel

Cancel a bug's coding-agent build

Requires authentication

Cancels the latest coding-agent run for the bug. Idempotent — a bug with no run still returns ok.

Parameters

NameInTypeRequiredDescription
idpathintegeryesBug id

Responses

  • 200 OK · object
  • 401 Unauthorized · apimodel.ErrorEnvelope
  • 403 Forbidden · apimodel.ErrorEnvelope
  • 502 Bad Gateway · apimodel.ErrorEnvelope
  • 503 Service Unavailable · apimodel.ErrorEnvelope